<?php require_once( 'admin/cms.php' ); ?>
<cms:template title='5 Performance Tests' order='5' executable='1' clonable='0' hidden='0' >
</cms:template>
<html>
<head>
</head>
<body>

<table class="table table-bordered table-striped table-standard">
	<thead>
		<tr>
			<th>Check</th>
			<th width="250">Was</th>
			<th>Zeit</th>
		</tr>
	</thead>
	<tbody>

	<cms:set limit='10' />

		<tr>
			<cms:set time_start="<cms:php>echo microtime(true);</cms:php>" scope='global' />
			<td>
			<cms:set anbieter_ids="<cms:pages masterpage='anbieter.php' ids_only='1' orderby='page_name' order='asc' limit=limit />" scope='global' />
			<cms:pages masterpage='anbieter.php' id=anbieter_ids>
				<cms:capture into='restbudget'>
				<cms:php>
					echo number_format (
						(
						<cms:reverse_related_pages masterpage='leads.php' field='anbieter'>
								<cms:show preis /> + 
						</cms:reverse_related_pages>
						0), 2, ".", "'");
				</cms:php>
				</cms:capture>

				<cms:show k_page_id />=<cms:show restbudget /> | 

				<cms:ignore>
				<cms:set name="<cms:get_custom_field 'name' masterpage='anbieter.php' page=k_page_name />" />
				</cms:ignore>

			</cms:pages>
			</td>
			<cms:set time_end="<cms:php>echo microtime(true);</cms:php>" scope='global' />

			<td>custom_field with "=" / anbieter_ids -> page</td>

			<td><cms:php>echo number_format("<cms:sub time_end "<cms:show time_start />" />", 3, ".", "'")."s";</cms:php></td>
		</tr>

		<tr>
			<cms:set time_start="<cms:php>echo microtime(true);</cms:php>" scope='global' />
			<td>
			<cms:set anbieter_ids="<cms:pages masterpage='anbieter.php' ids_only='1' orderby='page_name' order='asc' limit=limit />" scope='global' />
			<cms:each anbieter_ids sep=','>
				<cms:capture into='restbudget'>
					<cms:pages masterpage='anbieter.php' id=item skip_custom_fields='1'>
						<cms:reverse_related_pages masterpage='leads.php' field='anbieter' count_only='1' />
					</cms:pages>
				</cms:capture>
				<cms:show item />=<cms:show restbudget /> | 
			</cms:each>
			</td>
			<cms:set time_end="<cms:php>echo microtime(true);</cms:php>" scope='global' />

			<td>custom_field with "==" / anbieter_ids -> each / get_custom_field</td>

			<td><cms:php>echo number_format("<cms:sub time_end "<cms:show time_start />" />", 3, ".", "'")."s";</cms:php></td>
		</tr>

	</tbody>
</table>

</body>
</html>

<?php COUCH::invoke(); ?>
